# Console output...
log4j.rootLogger=ERROR,stdout , InfoAppender , ErrorAppender
log4j.logger.com.ibatis=INFO 
log4j.logger.com.nanwang.scheduling.DoubtfulCarsJob=INFO
log4j.logger.org.apache.ibatis.jdbc.ScriptRunner=INFO
log4j.logger.java.sql.Connection=DEBUG
log4j.logger.java.sql.PreparedStatement=DEBUG,stdout

log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target=System.out,INFO
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{DATE} %5p:%c{1}-%m%n


#diff level of log-appender   
log4j.appender.InfoAppender=org.apache.log4j.RollingFileAppender 
log4j.appender.InfoAppender.File=${catalina.base}/logs/impyw-info.log 
log4j.appender.InfoAppender.MaxFileSize=32MB 
log4j.appender.InfoAppender.MaxBackupIndex=5
log4j.appender.InfoAppender.Threshold = DEBUG  
log4j.appender.InfoAppender.layout=org.apache.log4j.PatternLayout 
log4j.appender.InfoAppender.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %5p:%c{1}-%m%n

log4j.appender.ErrorAppender=org.apache.log4j.RollingFileAppender 
log4j.appender.ErrorAppender.File=${catalina.base}/logs/impyw-error.log 
log4j.appender.ErrorAppender.Threshold =WARN 
log4j.appender.ErrorAppender.MaxFileSize=32MB 
log4j.appender.ErrorAppender.MaxBackupIndex=5
log4j.appender.ErrorAppender.layout=org.apache.log4j.PatternLayout 
log4j.appender.ErrorAppender.layout.ConversionPattern=%d{yyyy-MM-dd HH\:mm\:ss} %5p\:%c{1}-%m%n



